{% block sw_cms_element_three_col_icon_element_config %} 
			
<sw-tabs class="sw_cms_element_three_col_icon_element_config" defaultItem="content">
	<template slot-scope="{ active }" >
    	<sw-tabs-item name="content" :activeTab="active">
    	    {{ $tc('sw-cms.elements.twoColBannerElement.config.tab.content') }}
    	</sw-tabs-item>
		
    	<sw-tabs-item name="settings" :activeTab="active">
    	    {{ $tc('sw-cms.elements.twoColBannerElement.config.tab.settings') }}
    	</sw-tabs-item>
	</template>
	
	<template slot="content" slot-scope="{ active }">
		<sw-container v-if="active === 'content'" class="content-tab">
			<sw-text-field v-model="element.config.headline.value" :copyable="false" :copyableTooltip="false" :label="$tc('sw-cms.elements.twoColBannerElement.config.label.headline')">
			</sw-text-field>
			
			<sw-text-field v-model="element.config.buttonText.value" :copyable="false" :copyableTooltip="false" :label="$tc('sw-cms.elements.twoColBannerElement.config.label.buttonText')">
			</sw-text-field>
			
			<sw-url-field v-model="element.config.url.value"
				class="sw-cms-el-config-image__link-input"
	            type="text"
	            :label="$tc('sw-cms.elements.twoColBannerElement.config.label.linkTo')"
	            :placeholder="$tc('sw-cms.elements.twoColBannerElement.config.placeholder.enterUrl')">
			</sw-url-field>
				  
			<sw-text-editor 
				v-model="element.config.bannerContent.value"
				:label="$tc('sw-cms.elements.twoColBannerElement.config.label.bannerContent')"
				:placeholder="$tc('sw-cms.elements.twoColBannerElement.config.label.bannerContentPlaceholder')"
				:isInlineEdit="false"/>
									
			<sw-media-field v-model="element.config.media.value" :label="$tc('sw-cms.elements.twoColBannerElement.config.label.image')"></sw-media-field>
			
			<sw-text-field v-model="element.config.iconName.value" :copyable="false" :copyableTooltip="false" :label="$tc('sw-cms.elements.threeColIconElement.config.label.iconName')">
			</sw-text-field>
		</sw-container>
		<sw-container v-if="active === 'settings'" class="settings-tab">
			<sw-select-field :label="$tc('sw-cms.elements.twoColBannerElement.config.label.verticalAlign')"
			                 v-model="element.config.verticalAlign.value"
			                 :placeholder="$tc('sw-cms.elements.twoColBannerElement.config.label.verticalAlign')">
			    <option value="align-items-start">{{ $tc('sw-cms.elements.twoColBannerElement.config.label.verticalAlignTop') }}</option>
			    <option value="align-items-center">{{ $tc('sw-cms.elements.twoColBannerElement.config.label.verticalAlignCenter') }}</option>
			    <option value="align-items-end">{{ $tc('sw-cms.elements.twoColBannerElement.config.label.verticalAlignBottom') }}</option>
			</sw-select-field>
			    
			<sw-select-field :label="$tc('sw-cms.elements.twoColBannerElement.config.label.horizontalAlign')"
			                 v-model="element.config.horizontalAlign.value"
			                 :placeholder="$tc('sw-cms.elements.twoColBannerElement.config.label.horizontalAlign')">
			    <option value="justify-content-start">{{ $tc('sw-cms.elements.twoColBannerElement.config.label.horizontalAlignLeft') }}</option>
			    <option value="justify-content-center">{{ $tc('sw-cms.elements.twoColBannerElement.config.label.horizontalAlignCenter') }}</option>
			    <option value="justify-content-end">{{ $tc('sw-cms.elements.twoColBannerElement.config.label.horizontalAlignRight') }}</option>
			    <option value="justify-content-between">{{ $tc('sw-cms.elements.twoColBannerElement.config.label.horizontalAlignBetween') }}</option>
			    <option value="justify-content-around">{{ $tc('sw-cms.elements.twoColBannerElement.config.label.horizontalAlignAround') }}</option>
			</sw-select-field>
			
			<sw-select-field :label="$tc('sw-cms.elements.twoColBannerElement.config.label.backgroundColor')"
			                 v-model="element.config.backgroundColor.value"
			                 :placeholder="$tc('sw-cms.elements.twoColBannerElement.config.label.backgroundColor')">
			    <option value="bg-primary">{{ $tc('sw-cms.elements.twoColBannerElement.config.label.primaryColor') }}</option>
			    <option value="bg-secondary">{{ $tc('sw-cms.elements.twoColBannerElement.config.label.secondColor') }}</option>
			    <option value="bg-dark">{{ $tc('sw-cms.elements.twoColBannerElement.config.label.darkColor') }}</option>
			    <option value="bg-light">{{ $tc('sw-cms.elements.twoColBannerElement.config.label.lightColor') }}</option>
			    <option value="bg-info">{{ $tc('sw-cms.elements.colors.infoColor') }}</option>
			</sw-select-field>
			
			<sw-select-field :label="$tc('sw-cms.elements.twoColBannerElement.config.label.textColor')"
			                 v-model="element.config.textColor.value"
			                 :placeholder="$tc('sw-cms.elements.twoColBannerElement.config.label.textColor')">
			    <option value="text-primary">{{ $tc('sw-cms.elements.twoColBannerElement.config.label.primaryColor') }}</option>
			    <option value="text-secondary">{{ $tc('sw-cms.elements.twoColBannerElement.config.label.secondColor') }}</option>
			    <option value="text-dark">{{ $tc('sw-cms.elements.twoColBannerElement.config.label.darkColor') }}</option>
			    <option value="text-light">{{ $tc('sw-cms.elements.twoColBannerElement.config.label.lightColor') }}</option>
			</sw-select-field>
			
			<sw-select-field :label="$tc('sw-cms.elements.twoColBannerElement.config.label.btnColor')"
			                 v-model="element.config.btnColor.value"
			                 :placeholder="$tc('sw-cms.elements.twoColBannerElement.config.label.btnColor')">
			    <option value="primary">{{ $tc('sw-cms.elements.twoColBannerElement.config.label.primaryColor') }}</option>
			    <option value="secondary">{{ $tc('sw-cms.elements.twoColBannerElement.config.label.secondColor') }}</option>
			    <option value="dark">{{ $tc('sw-cms.elements.twoColBannerElement.config.label.darkColor') }}</option>
			    <option value="light">{{ $tc('sw-cms.elements.twoColBannerElement.config.label.lightColor') }}</option>
			    <option value="info">{{ $tc('sw-cms.elements.colors.infoColor') }}</option>
			</sw-select-field>
			
			<sw-switch-field label="Outline ?" v-model="element.config.btnOutline.value"></sw-switch-field>
		</sw-container>
	</template>
	
</sw-tabs>

{% endblock %}